Package org.eclipse.emf.cdo.lm.reviews.impl

# Class ReviewsPackageImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.ecore.impl.EModelElementImpl
org.eclipse.emf.ecore.impl.ENamedElementImpl
org.eclipse.emf.ecore.impl.EPackageImpl
org.eclipse.emf.cdo.lm.reviews.impl.ReviewsPackageImpl

All Implemented Interfaces:
  `ReviewsPackage`, `Notifier`, `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

public class ReviewsPackageImpl extends EPackageImpl implements ReviewsPackage
An implementation of the model Package.

Generated
No Extend
  This class is not intended to be subclassed by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`EPackageImpl.EBasicWhiteList`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.lm.reviews.ReviewsPackage

`ReviewsPackage.Literals`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Fields inherited from interface org.eclipse.emf.cdo.lm.reviews.ReviewsPackage

`ANNOTATION_SOURCE, COMMENT, COMMENT___GET_ANNOTATION__STRING, COMMENT___GET_SYSTEM, COMMENT__ANNOTATIONS, COMMENT__AUTHOR, COMMENT__COMMENT_COUNT, COMMENT__COMMENTABLE, COMMENT__COMMENTS, COMMENT__PARENT_HEADING, COMMENT__RESOLVED_COUNT, COMMENT__REVIEW, COMMENT__STATUS, COMMENT__TEXT, COMMENT__UNRESOLVED_COUNT, COMMENT_FEATURE_COUNT, COMMENT_OPERATION_COUNT, COMMENT_STATUS, COMMENTABLE, COMMENTABLE___GET_ANNOTATION__STRING, COMMENTABLE___GET_SYSTEM, COMMENTABLE__ANNOTATIONS, COMMENTABLE__COMMENT_COUNT, COMMENTABLE__COMMENTS, COMMENTABLE__RESOLVED_COUNT, COMMENTABLE__REVIEW, COMMENTABLE__UNRESOLVED_COUNT, COMMENTABLE_FEATURE_COUNT, COMMENTABLE_OPERATION_COUNT, DELIVERY_REVIEW, DELIVERY_REVIEW___GET_ANNOTATION__STRING, DELIVERY_REVIEW___GET_BASE, DELIVERY_REVIEW___GET_BASE_TIME_STAMP, DELIVERY_REVIEW___GET_BRANCH, DELIVERY_REVIEW___GET_BRANCH_POINT, DELIVERY_REVIEW___GET_DELIVERIES, DELIVERY_REVIEW___GET_MODULE, DELIVERY_REVIEW___GET_NAME, DELIVERY_REVIEW___GET_STREAM, DELIVERY_REVIEW___GET_SYSTEM, DELIVERY_REVIEW__ANNOTATIONS, DELIVERY_REVIEW__AUTHOR, DELIVERY_REVIEW__BASE, DELIVERY_REVIEW__BRANCH, DELIVERY_REVIEW__CLOSED, DELIVERY_REVIEW__COMMENT_COUNT, DELIVERY_REVIEW__COMMENTS, DELIVERY_REVIEW__DELIVERIES, DELIVERY_REVIEW__FLOATING, DELIVERY_REVIEW__ID, DELIVERY_REVIEW__IMPACT, DELIVERY_REVIEW__REBASE_COUNT, DELIVERY_REVIEW__RESOLVED_COUNT, DELIVERY_REVIEW__REVIEW, DELIVERY_REVIEW__REVIEWERS, DELIVERY_REVIEW__SOURCE_CHANGE, DELIVERY_REVIEW__SOURCE_COMMIT, DELIVERY_REVIEW__STATUS, DELIVERY_REVIEW__STREAM, DELIVERY_REVIEW__TARGET_COMMIT, DELIVERY_REVIEW__UNRESOLVED_COUNT, DELIVERY_REVIEW_FEATURE_COUNT, DELIVERY_REVIEW_OPERATION_COUNT, DROP_REVIEW, DROP_REVIEW___GET_ANNOTATION__STRING, DROP_REVIEW___GET_BASE_TIME_STAMP, DROP_REVIEW___GET_BASED_CHANGES, DROP_REVIEW___GET_BRANCH_POINT, DROP_REVIEW___GET_MODULE, DROP_REVIEW___GET_NAME, DROP_REVIEW___GET_STREAM, DROP_REVIEW___GET_SYSTEM, DROP_REVIEW__ANNOTATIONS, DROP_REVIEW__AUTHOR, DROP_REVIEW__COMMENT_COUNT, DROP_REVIEW__COMMENTS, DROP_REVIEW__DELIVERY, DROP_REVIEW__DEPENDENCIES, DROP_REVIEW__DROP_LABEL, DROP_REVIEW__DROP_TYPE, DROP_REVIEW__FLOATING, DROP_REVIEW__ID, DROP_REVIEW__RESOLVED_COUNT, DROP_REVIEW__REVIEW, DROP_REVIEW__REVIEWERS, DROP_REVIEW__STATUS, DROP_REVIEW__STREAM, DROP_REVIEW__TARGET_TIME_STAMP, DROP_REVIEW__UNRESOLVED_COUNT, DROP_REVIEW__VERSION, DROP_REVIEW_FEATURE_COUNT, DROP_REVIEW_OPERATION_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, HEADING, HEADING___GET_ANNOTATION__STRING, HEADING___GET_SYSTEM, HEADING__ANNOTATIONS, HEADING__AUTHOR, HEADING__COMMENT_COUNT, HEADING__COMMENTABLE, HEADING__COMMENTS, HEADING__NEXT_HEADING, HEADING__OUTLINE_NUMBER, HEADING__PARENT_HEADING, HEADING__PARENT_INDEX, HEADING__PREVIOUS_HEADING, HEADING__RESOLVED_COUNT, HEADING__REVIEW, HEADING__STATUS, HEADING__TEXT, HEADING__UNRESOLVED_COUNT, HEADING_FEATURE_COUNT, HEADING_OPERATION_COUNT, REVIEW, REVIEW___GET_ANNOTATION__STRING, REVIEW___GET_BASE_TIME_STAMP, REVIEW___GET_BRANCH_POINT, REVIEW___GET_MODULE, REVIEW___GET_NAME, REVIEW___GET_STREAM, REVIEW___GET_SYSTEM, REVIEW__ANNOTATIONS, REVIEW__AUTHOR, REVIEW__COMMENT_COUNT, REVIEW__COMMENTS, REVIEW__FLOATING, REVIEW__ID, REVIEW__RESOLVED_COUNT, REVIEW__REVIEW, REVIEW__REVIEWERS, REVIEW__STATUS, REVIEW__STREAM, REVIEW__UNRESOLVED_COUNT, REVIEW_FEATURE_COUNT, REVIEW_OPERATION_COUNT, REVIEW_STATUS, REVIEW_TEMPLATE, REVIEW_TEMPLATE___GET_ANNOTATION__STRING, REVIEW_TEMPLATE___GET_SYSTEM, REVIEW_TEMPLATE__ANNOTATIONS, REVIEW_TEMPLATE__COMMENT_COUNT, REVIEW_TEMPLATE__COMMENTS, REVIEW_TEMPLATE__RESOLVED_COUNT, REVIEW_TEMPLATE__REVIEW, REVIEW_TEMPLATE__REVIEWERS, REVIEW_TEMPLATE__UNRESOLVED_COUNT, REVIEW_TEMPLATE_FEATURE_COUNT, REVIEW_TEMPLATE_OPERATION_COUNT`

## Method Summary

Modifier and Type
Method
Description
`void`
`createPackageContents()`
Creates the meta-model objects for the package.
`EClass`
`getComment()`
`EAttribute`
`getComment_Author()`
`EReference`
`getComment_Commentable()`
`EReference`
`getComment_ParentHeading()`
`EAttribute`
`getComment_Status()`
`EAttribute`
`getComment_Text()`
`EClass`
`getCommentable()`
`EAttribute`
`getCommentable_CommentCount()`
`EReference`
`getCommentable_Comments()`
`EAttribute`
`getCommentable_ResolvedCount()`
`EReference`
`getCommentable_Review()`
`EAttribute`
`getCommentable_UnresolvedCount()`
`EEnum`
`getCommentStatus()`
`EClass`
`getDeliveryReview()`
`EReference`
`getDeliveryReview_Base()`
`EAttribute`
`getDeliveryReview_Branch()`
`EReference`
`getDeliveryReview_Deliveries()`
`EAttribute`
`getDeliveryReview_Impact()`
`EAttribute`
`getDeliveryReview_RebaseCount()`
`EReference`
`getDeliveryReview_SourceChange()`
`EAttribute`
`getDeliveryReview_SourceCommit()`
`EAttribute`
`getDeliveryReview_TargetCommit()`
`EClass`
`getDropReview()`
`EReference`
`getDropReview_Delivery()`
`EAttribute`
`getDropReview_DropLabel()`
`EReference`
`getDropReview_DropType()`
`EAttribute`
`getDropReview_TargetTimeStamp()`
`EClass`
`getHeading()`
`EReference`
`getHeading_NextHeading()`
`EAttribute`
`getHeading_OutlineNumber()`
`EAttribute`
`getHeading_ParentIndex()`
`EReference`
`getHeading_PreviousHeading()`
`EClass`
`getReview()`
`EAttribute`
`getReview_Author()`
`EAttribute`
`getReview_Id()`
`EAttribute`
`getReview_Reviewers()`
`EAttribute`
`getReview_Status()`
`ReviewsFactory`
`getReviewsFactory()`
`EEnum`
`getReviewStatus()`
`EClass`
`getReviewTemplate()`
`EAttribute`
`getReviewTemplate_Reviewers()`
`static ReviewsPackage`
`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void`
`initializePackageContents()`
Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### init

public static ReviewsPackage init()
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `ReviewsPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  - `ReviewsPackage.eNS_URI`
  - `createPackageContents()`
  - `initializePackageContents()`
Generated

### getCommentable

public EClass getCommentable()

Specified by:
  `getCommentable` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Commentable'.
See Also:
  - `Commentable`
Generated

### getCommentable_Review

public EReference getCommentable_Review()

Specified by:
  `getCommentable_Review` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Review'.
See Also:
  - `Commentable.getReview()`
  - `ReviewsPackage.getCommentable()`
Generated

### getCommentable_Comments

public EReference getCommentable_Comments()

Specified by:
  `getCommentable_Comments` in interface `ReviewsPackage`
Returns:
  the meta object for the containment reference list 'Comments'.
See Also:
  - `Commentable.getComments()`
  - `ReviewsPackage.getCommentable()`
Generated

### getCommentable_CommentCount

public EAttribute getCommentable_CommentCount()

Specified by:
  `getCommentable_CommentCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Comment Count'.
See Also:
  - `Commentable.getCommentCount()`
  - `ReviewsPackage.getCommentable()`
Generated

### getCommentable_UnresolvedCount

public EAttribute getCommentable_UnresolvedCount()

Specified by:
  `getCommentable_UnresolvedCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Unresolved Count'.
See Also:
  - `Commentable.getUnresolvedCount()`
  - `ReviewsPackage.getCommentable()`
Generated

### getCommentable_ResolvedCount

public EAttribute getCommentable_ResolvedCount()

Specified by:
  `getCommentable_ResolvedCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Resolved Count'.
See Also:
  - `Commentable.getResolvedCount()`
  - `ReviewsPackage.getCommentable()`
Generated

### getComment

public EClass getComment()

Specified by:
  `getComment` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Comment'.
See Also:
  - `Comment`
Generated

### getComment_Commentable

public EReference getComment_Commentable()

Specified by:
  `getComment_Commentable` in interface `ReviewsPackage`
Returns:
  the meta object for the container reference 'Commentable'.
See Also:
  - `Comment.getCommentable()`
  - `ReviewsPackage.getComment()`
Generated

### getComment_ParentHeading

public EReference getComment_ParentHeading()

Specified by:
  `getComment_ParentHeading` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Parent Heading'.
See Also:
  - `Comment.getParentHeading()`
  - `ReviewsPackage.getComment()`
Generated

### getComment_Author

public EAttribute getComment_Author()

Specified by:
  `getComment_Author` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Author'.
See Also:
  - `Comment.getAuthor()`
  - `ReviewsPackage.getComment()`
Generated

### getComment_Text

public EAttribute getComment_Text()

Specified by:
  `getComment_Text` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Text'.
See Also:
  - `Comment.getText()`
  - `ReviewsPackage.getComment()`
Generated

### getComment_Status

public EAttribute getComment_Status()

Specified by:
  `getComment_Status` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Status'.
See Also:
  - `Comment.getStatus()`
  - `ReviewsPackage.getComment()`
Generated

### getHeading

public EClass getHeading()

Specified by:
  `getHeading` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Heading'.
See Also:
  - `Heading`
Generated

### getHeading_PreviousHeading

public EReference getHeading_PreviousHeading()

Specified by:
  `getHeading_PreviousHeading` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Previous Heading'.
See Also:
  - `Heading.getPreviousHeading()`
  - `ReviewsPackage.getHeading()`
Generated

### getHeading_NextHeading

public EReference getHeading_NextHeading()

Specified by:
  `getHeading_NextHeading` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Next Heading'.
See Also:
  - `Heading.getNextHeading()`
  - `ReviewsPackage.getHeading()`
Generated

### getHeading_ParentIndex

public EAttribute getHeading_ParentIndex()

Specified by:
  `getHeading_ParentIndex` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Parent Index'.
See Also:
  - `Heading.getParentIndex()`
  - `ReviewsPackage.getHeading()`
Generated

### getHeading_OutlineNumber

public EAttribute getHeading_OutlineNumber()

Specified by:
  `getHeading_OutlineNumber` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Outline Number'.
See Also:
  - `Heading.getOutlineNumber()`
  - `ReviewsPackage.getHeading()`
Generated

### getReviewTemplate

public EClass getReviewTemplate()

Specified by:
  `getReviewTemplate` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Review Template'.
See Also:
  - `ReviewTemplate`
Generated

### getReviewTemplate_Reviewers

public EAttribute getReviewTemplate_Reviewers()

Specified by:
  `getReviewTemplate_Reviewers` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute list 'Reviewers'.
See Also:
  - `ReviewTemplate.getReviewers()`
  - `ReviewsPackage.getReviewTemplate()`
Generated

### getReview

public EClass getReview()

Specified by:
  `getReview` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Review'.
See Also:
  - `Review`
Generated

### getReview_Id

public EAttribute getReview_Id()

Specified by:
  `getReview_Id` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Review.getId()`
  - `ReviewsPackage.getReview()`
Generated

### getReview_Author

public EAttribute getReview_Author()

Specified by:
  `getReview_Author` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Author'.
See Also:
  - `Review.getAuthor()`
  - `ReviewsPackage.getReview()`
Generated

### getReview_Reviewers

public EAttribute getReview_Reviewers()

Specified by:
  `getReview_Reviewers` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute list 'Reviewers'.
See Also:
  - `Review.getReviewers()`
  - `ReviewsPackage.getReview()`
Generated

### getReview_Status

public EAttribute getReview_Status()

Specified by:
  `getReview_Status` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Status'.
See Also:
  - `Review.getStatus()`
  - `ReviewsPackage.getReview()`
Generated

### getDeliveryReview

public EClass getDeliveryReview()

Specified by:
  `getDeliveryReview` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Delivery Review'.
See Also:
  - `DeliveryReview`
Generated

### getDeliveryReview_Base

public EReference getDeliveryReview_Base()

Specified by:
  `getDeliveryReview_Base` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Base'.
See Also:
  - `DeliveryReview.getBase()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_Impact

public EAttribute getDeliveryReview_Impact()

Specified by:
  `getDeliveryReview_Impact` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Impact'.
See Also:
  - `DeliveryReview.getImpact()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_Branch

public EAttribute getDeliveryReview_Branch()

Specified by:
  `getDeliveryReview_Branch` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Branch'.
See Also:
  - `DeliveryReview.getBranch()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_Deliveries

public EReference getDeliveryReview_Deliveries()

Specified by:
  `getDeliveryReview_Deliveries` in interface `ReviewsPackage`
Returns:
  the meta object for the reference list 'Deliveries'.
See Also:
  - `DeliveryReview.getDeliveries()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_SourceChange

public EReference getDeliveryReview_SourceChange()

Specified by:
  `getDeliveryReview_SourceChange` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Source Change'.
See Also:
  - `DeliveryReview.getSourceChange()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_SourceCommit

public EAttribute getDeliveryReview_SourceCommit()

Specified by:
  `getDeliveryReview_SourceCommit` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Source Commit'.
See Also:
  - `DeliveryReview.getSourceCommit()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_TargetCommit

public EAttribute getDeliveryReview_TargetCommit()

Specified by:
  `getDeliveryReview_TargetCommit` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Target Commit'.
See Also:
  - `DeliveryReview.getTargetCommit()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDeliveryReview_RebaseCount

public EAttribute getDeliveryReview_RebaseCount()

Specified by:
  `getDeliveryReview_RebaseCount` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Rebase Count'.
See Also:
  - `DeliveryReview.getRebaseCount()`
  - `ReviewsPackage.getDeliveryReview()`
Generated

### getDropReview

public EClass getDropReview()

Specified by:
  `getDropReview` in interface `ReviewsPackage`
Returns:
  the meta object for class 'Drop Review'.
See Also:
  - `DropReview`
Generated

### getDropReview_Delivery

public EReference getDropReview_Delivery()

Specified by:
  `getDropReview_Delivery` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Delivery'.
See Also:
  - `DropReview.getDelivery()`
  - `ReviewsPackage.getDropReview()`
Generated

### getDropReview_TargetTimeStamp

public EAttribute getDropReview_TargetTimeStamp()

Specified by:
  `getDropReview_TargetTimeStamp` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Target Time Stamp'.
See Also:
  - `DropReview.getTargetTimeStamp()`
  - `ReviewsPackage.getDropReview()`
Generated

### getDropReview_DropType

public EReference getDropReview_DropType()

Specified by:
  `getDropReview_DropType` in interface `ReviewsPackage`
Returns:
  the meta object for the reference 'Drop Type'.
See Also:
  - `DropReview.getDropType()`
  - `ReviewsPackage.getDropReview()`
Generated

### getDropReview_DropLabel

public EAttribute getDropReview_DropLabel()

Specified by:
  `getDropReview_DropLabel` in interface `ReviewsPackage`
Returns:
  the meta object for the attribute 'Drop Label'.
See Also:
  - `DropReview.getDropLabel()`
  - `ReviewsPackage.getDropReview()`
Generated

### getCommentStatus

public EEnum getCommentStatus()

Specified by:
  `getCommentStatus` in interface `ReviewsPackage`
Returns:
  the meta object for enum 'Comment Status'.
See Also:
  - `CommentStatus`
Generated

### getReviewStatus

public EEnum getReviewStatus()

Specified by:
  `getReviewStatus` in interface `ReviewsPackage`
Returns:
  the meta object for enum 'Review Status'.
See Also:
  - `ReviewStatus`
Generated

### getReviewsFactory

public ReviewsFactory getReviewsFactory()

Specified by:
  `getReviewsFactory` in interface `ReviewsPackage`
Returns:
  the factory that creates the instances of the model.
Generated

### createPackageContents

public void createPackageContents()
Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

Generated

### initializePackageContents

public void initializePackageContents()
Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Generated